Bug 517806 - Data corruption bug on decompressing certain files.
Summary: Data corruption bug on decompressing certain files.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xz
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 09:49 UTC by jonathan.stott
Modified: 2013-07-02 23:38 UTC (History)
5 users (show)

Fixed In Version: 4.999.8-0.8.beta.20090817git.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-25 04:37:56 UTC


Attachments (Terms of Use)
file which shows the data corruption bug. (478.51 KB, application/gzip)
2009-08-17 09:49 UTC, jonathan.stott
no flags Details

Description jonathan.stott 2009-08-17 09:49:11 UTC
Created attachment 357622 [details]
file which shows the data corruption bug.

Description of problem:
xz decompresses certain files incorrectly, corrupting the data by failing to extract the last few bytes of data.

Version-Release number of selected component (if applicable):

0.7.beta.fc11

How reproducible:
Very, with the right file.

Steps to Reproduce:
1. zcat RA000864.bin.gz >RA000864.bin
2. xz RA000864.bin
3. xz -t RA000864.bin.xz

Actual results:
xz: RA000864.bin.xz: Compressed data is corrupt

Expected results:
The file is successfully verified.

Additional info:

This is fixed in the upstream repository ( git://ctrl.tukaani.org/xz.git ) commit sha: 3ce1916c83041113b9cad9ead5c97a527cf8aa1d

Comment 1 Jindrich Novy 2009-08-17 10:28:02 UTC
Fixed in rawhide for now. Updates are to be out soon.

Thanks for reporting.

Comment 2 Fedora Update System 2009-08-17 11:32:26 UTC
xz-4.999.8-0.8.beta.20090817git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xz-4.999.8-0.8.beta.20090817git.fc11

Comment 3 Fedora Update System 2009-08-17 11:33:40 UTC
xz-4.999.8-0.8.beta.20090817git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xz-4.999.8-0.8.beta.20090817git.fc10

Comment 4 Fedora Update System 2009-08-17 19:19:35 UTC
xz-4.999.8-0.10.beta.20090817git.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/xz-4.999.8-0.10.beta.20090817git.el5

Comment 5 Fedora Update System 2009-08-17 21:52:27 UTC
xz-4.999.8-0.8.beta.20090817git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8658

Comment 6 Fedora Update System 2009-08-17 22:02:24 UTC
xz-4.999.8-0.8.beta.20090817git.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8689

Comment 7 Toshio Ernie Kuratomi 2009-08-18 16:17:23 UTC
jnovy: Should we update the xz used by the buildsystem?

Comment 8 Jindrich Novy 2009-08-19 08:31:04 UTC
Definitely, possible corruption of package payload doesn't look too good from the buildsystem POV.

Comment 9 jonathan.stott 2009-08-19 08:48:25 UTC
I've tested the new package in testing on my fedora system and it does now successfully compress and decompress the problem file.  Thanks for the quick response!

Comment 10 Fedora Update System 2009-08-25 04:37:52 UTC
xz-4.999.8-0.8.beta.20090817git.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-08-25 04:41:35 UTC
xz-4.999.8-0.8.beta.20090817git.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-09-03 23:19:29 UTC
xz-4.999.8-0.10.beta.20090817git.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-10-07 15:58:50 UTC
xz-4.999.9-0.1.beta.20091007git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xz-4.999.9-0.1.beta.20091007git.fc11

Comment 14 Fedora Update System 2009-10-07 15:59:46 UTC
xz-4.999.9-0.1.beta.20091007git.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xz-4.999.9-0.1.beta.20091007git.fc12

Comment 15 Fedora Update System 2009-10-09 03:35:31 UTC
xz-4.999.9-0.1.beta.20091007git.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.